Lire toutes les règles de validation des propriétés d'un objet
curl --request GET \
--url https://api.hubapi.com/crm/property-validations/2026-03/{objectTypeId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/property-validations/2026-03/{objectTypeId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/property-validations/2026-03/{objectTypeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"propertyName": "<string>",
"propertyValidationRules": [
{
"ruleArguments": [
"<string>"
],
"shouldApplyNormalization": true
}
]
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Validations de propriétés
Read all property validation rules for an object
Lisez toutes les propriétés avec des règles de validation pour un objet donné.
GET
/
crm
/
property-validations
/
2026-03
/
{objectTypeId}
Lire toutes les règles de validation des propriétés d'un objet
Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
Réponse
successful operation
Collection de propriétés avec leurs règles de validation. Chaque élément associe un nom de propriété à ses règles de validation configurées pour le type d'objet spécifié.
Show child attributes
Show child attributes
Dernière modification le 1 avril 2026
⌘I